---
slug: /
---

# Overview

OpenCost is a vendor-neutral open source project for measuring and allocating cloud infrastructure and container costs. It’s built for Kubernetes cost monitoring to power real-time cost monitoring, showback, and chargeback.

Below are common documentation pages for the OpenCost Project:

## Installation

Check out our [Installation guide](installation/install) to start monitoring and managing your spend in minutes. Additional documentation is available for [configuring Prometheus](installation/prometheus) and managing your [OpenCost with Helm](installation/helm).

## Integrating Cloud Costs and Configuration

If you want more accurate results or Cloud Costs from your provider's bill please refer to the [Integrating Cloud Costs and Configuration](configuration/) page or jump directly to your cloud-specific configuration:

* [Amazon Web Services](configuration/aws)
* [Microsoft Azure](configuration/azure)
* [Google Cloud Platform](configuration/gcp)
* [Oracle Cloud Infrastructure](configuration/oracle)
* [On-Premises](configuration/on-prem)
* Alibaba - **documentation needed**
* Scaleway - **documentation needed**

## Specification

The [OpenCost Specification](specification) describes a vendor-neutral implementation for Kubernetes cost monitoring.

## Using the UI

The OpenCost UI provides a visualization of the Kubernetes allocations and the related Cloud Costs. This walkthrough highlights some of the components of the [OpenCost UI](installation/ui).

<iframe width="840" height="472" src="https://www.youtube.com/embed/lCP4Ci9Kcdg?si=RuDM3e0cKNFgWvpE" title="OpenCost UI Tour" frameborder="1" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

## Stay in the Loop

Join the [OpenCost Community](community) and follow along other community events using our [calendar](https://calendar.google.com/calendar/u/0/embed?src=c_c0f7q56e5eeod3j89bb320fvjg@group.calendar.google.com&ctz=America/Los_Angeles).

Join us on [CNCF Slack](https://slack.cncf.io/) in the [#opencost](https://cloud-native.slack.com/archives/C03D56FPD4G) channel if you have questions!

Contact us via email (opencost-kubecost@wwpdl.vnet.ibm.com) if there's anything else you need.
