---
sidebar_position: 1
---
# OpenCost Integrations

OpenCost may be integrated with a wide variety of technologies. Below is a list of known OpenCost integrations.

## Cloud Integrations
* [Azure](../configuration/azure)
* [AWS](../configuration/aws)
* [GCP](../configuration/gcp)
* [Oracle Cloud Infrastructure](../configuration/oracle)
* [Alibaba](https://alibabacloud.com/)
* [Scaleway](https://www.scaleway.com/en/)

## Cost metric services
* [Prometheus](../installation/prometheus)
* [Cortex](https://cortexmetrics.io/)
* [Thanos](https://thanos.io/)
* [Victoria Metrics](https://victoriametrics.com/)

## Cost visualization
* [Grafana](https://grafana.com/orgs/kubecost)
* [Grafana Cloud](https://grafana.com/blog/2023/06/26/rein-in-spending-with-kubernetes-cost-monitoring-in-grafana-cloud/)

## Miscellaneous
* [Backstage](https://github.com/backstage/backstage/tree/master/plugins/opencost)
* [Prometheus OpenCost Exporter](https://github.com/prometheus-community/helm-charts/tree/main/charts/prometheus-opencost-exporter)
* [Kubefirst](https://kubefirst.io/blog/release2-2/)
* [Port](https://docs.getport.io/build-your-software-catalog/sync-data-to-catalog/cloud-cost/opencost/#cost)
* [Vantage](https://docs.vantage.sh/opencost/)
